'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const pref_deck_suit_1 = require("../../enums/pref.deck.suit");
const pref_deck_card_1 = require("../../pref.deck.card");
const PPN_CARDS = {
    '1': { suit: pref_deck_suit_1.default.SPADE, value: 7 },
    '2': { suit: pref_deck_suit_1.default.SPADE, value: 8 },
    '3': { suit: pref_deck_suit_1.default.SPADE, value: 9 },
    '4': { suit: pref_deck_suit_1.default.SPADE, value: 10 },
    '5': { suit: pref_deck_suit_1.default.SPADE, value: 12 },
    '6': { suit: pref_deck_suit_1.default.SPADE, value: 13 },
    '7': { suit: pref_deck_suit_1.default.SPADE, value: 14 },
    '8': { suit: pref_deck_suit_1.default.SPADE, value: 15 },
    '9': { suit: pref_deck_suit_1.default.DIAMOND, value: 7 },
    A: { suit: pref_deck_suit_1.default.DIAMOND, value: 8 },
    B: { suit: pref_deck_suit_1.default.DIAMOND, value: 9 },
    C: { suit: pref_deck_suit_1.default.DIAMOND, value: 10 },
    D: { suit: pref_deck_suit_1.default.DIAMOND, value: 12 },
    E: { suit: pref_deck_suit_1.default.DIAMOND, value: 13 },
    F: { suit: pref_deck_suit_1.default.DIAMOND, value: 14 },
    G: { suit: pref_deck_suit_1.default.DIAMOND, value: 15 },
    H: { suit: pref_deck_suit_1.default.HEART, value: 7 },
    I: { suit: pref_deck_suit_1.default.HEART, value: 8 },
    J: { suit: pref_deck_suit_1.default.HEART, value: 9 },
    K: { suit: pref_deck_suit_1.default.HEART, value: 10 },
    L: { suit: pref_deck_suit_1.default.HEART, value: 12 },
    M: { suit: pref_deck_suit_1.default.HEART, value: 13 },
    N: { suit: pref_deck_suit_1.default.HEART, value: 14 },
    O: { suit: pref_deck_suit_1.default.HEART, value: 15 },
    P: { suit: pref_deck_suit_1.default.CLUB, value: 7 },
    Q: { suit: pref_deck_suit_1.default.CLUB, value: 8 },
    R: { suit: pref_deck_suit_1.default.CLUB, value: 9 },
    S: { suit: pref_deck_suit_1.default.CLUB, value: 10 },
    T: { suit: pref_deck_suit_1.default.CLUB, value: 12 },
    U: { suit: pref_deck_suit_1.default.CLUB, value: 13 },
    V: { suit: pref_deck_suit_1.default.CLUB, value: 14 },
    W: { suit: pref_deck_suit_1.default.CLUB, value: 15 }
};
const convertPPNToCard = (ppn) => {
    const card = (0, lodash_1.get)(PPN_CARDS, ppn, null);
    if (card)
        return new pref_deck_card_1.default(card.suit, card.value);
    throw new Error('PrefDeckCard::ppnToCard:Invalid ppn: ' + ppn);
};
exports.default = convertPPNToCard;
//# sourceMappingURL=convert.ppn.to.card.js.map