'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const pref_deck_card_1 = require("../../pref.deck.card");
const pref_deck_suit_1 = require("../../enums/pref.deck.suit");
const pref_deck_value_1 = require("../../enums/pref.deck.value");
const createControlDeck = () => {
    const deck = [];
    const suits = [pref_deck_suit_1.default.SPADE, pref_deck_suit_1.default.DIAMOND, pref_deck_suit_1.default.HEART, pref_deck_suit_1.default.CLUB];
    const values = [pref_deck_value_1.default.SEVEN, pref_deck_value_1.default.EIGHT, pref_deck_value_1.default.NINE, pref_deck_value_1.default.TEN, pref_deck_value_1.default.JACK, pref_deck_value_1.default.QUEEN, pref_deck_value_1.default.KING, pref_deck_value_1.default.ACE];
    (0, lodash_1.each)(suits, (suit) => {
        (0, lodash_1.each)(values, (value) => {
            deck.push(new pref_deck_card_1.default(suit, value));
        });
    });
    return deck;
};
exports.default = createControlDeck;
//# sourceMappingURL=create.control.deck.js.map