'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const spread_suits_1 = require("./spread.suits");
const get_single_suit_1 = require("./get.single.suit");
const is_reverse_sorting_1 = require("./is.reverse.sorting");
const sort3suits = (cards, sorting) => {
    const reversed = (0, is_reverse_sorting_1.default)(sorting);
    const { spade, diamond, heart, club } = (0, spread_suits_1.default)(cards, reversed);
    const black = (0, get_single_suit_1.default)(spade, club);
    if (!(0, lodash_1.isEmpty)(black))
        cards = (0, lodash_1.concat)(diamond, black, heart);
    const red = (0, get_single_suit_1.default)(diamond, heart);
    if (!(0, lodash_1.isEmpty)(red))
        cards = (0, lodash_1.concat)(spade, red, club);
    return cards;
};
exports.default = sort3suits;
//# sourceMappingURL=sort.3.suits.js.map