import PrefDeckSuit from './enums/pref.deck.suit';
import PrefDeckValue from './enums/pref.deck.value';
export default class PrefDeckCard {
    static valueLabel(value: PrefDeckValue): string;
    static compare(c1: PrefDeckCard, c2: PrefDeckCard, t?: PrefDeckSuit): -1 | 0 | 1;
    static winner(c1: PrefDeckCard, c2: PrefDeckCard, t?: PrefDeckSuit): PrefDeckCard;
    static suitToUnicode(suit: PrefDeckSuit): string;
    static cardToPPN(c: PrefDeckCard): string;
    static ppnToCard(ppn: string): PrefDeckCard;
    private readonly _suit;
    private readonly _value;
    private readonly _label;
    private readonly _unicode;
    private readonly _ppn;
    constructor(suit: PrefDeckSuit, value: PrefDeckValue);
    beats(c: PrefDeckCard, t?: PrefDeckSuit): boolean;
    get suit(): PrefDeckSuit;
    get value(): number;
    get label(): string;
    get unicode(): string;
    get ppn(): string;
}
